---
title: WebGL2RenderingContext.blitFramebuffer()
slug: Web/API/WebGL2RenderingContext/blitFramebuffer
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.blitFramebuffer()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> transfers a block of pixels from the read framebuffer to the draw framebuffer. Read and draw framebuffers are bound using {{domxref("WebGLRenderingContext.bindFramebuffer()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">void <var>gl</var>.blitFramebuffer(<var>srcX0</var>, <var>srcY0</var>, <var>srcX1</var>, <var>srcY1</var>,
<var>                        dstX0</var>, <var>dstY0</var>, <var>dstX1</var>, <var>dstY1</var>,
                        <var>mask</var>, <var>filter</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>srcX0, srcY0, srcX1, srcY1</code></dt>
 <dd>A {{domxref("GLint")}} specifying the bounds of the source rectangle.</dd>
 <dt><code>dstX0, dstY0, dstX1, dstY1</code></dt>
 <dd>A {{domxref("GLint")}} specifying the bounds of the destination rectangle.</dd>
 <dt><code>mask</code></dt>
 <dd>A {{domxref("GLbitfield")}} specifying a bitwise OR mask indicating which buffers are to be copied. Possible values:
 <ul>
  <li><code>gl.COLOR_BUFFER_BIT</code></li>
  <li><code>gl.DEPTH_BUFFER_BIT</code></li>
  <li><code>gl.STENCIL_BUFFER_BIT</code></li>
 </ul>
 </dd>
 <dt><code>filter</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the interpolation to be applied if the image is stretched. Possible values:
 <ul>
  <li><code>gl.NEAREST</code></li>
  <li><code>gl.LINEAR</code></li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">gl.blitFramebuffer(0, 0, canvas.width, canvas.height,
                   0, 0, canvas.width, canvas.height,
                   gl.COLOR_BUFFER_BIT, gl.NEAREST);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.4", "blitFramebuffer")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glBlitFramebuffer.xhtml", "glBlitFramebuffer")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.blitFramebuffer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.bindFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.getRenderbufferParameter()")}}</li>
</ul>
